%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname commander
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: The complete solution for Ruby command-line executable
Name: rubygem-%{gemname}
Version: 4.0.3
Release: 4%{?dist}
Group: Development/Languages
License: MIT
URL: http://visionmedia.github.com/commander
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: rubygems
Requires: rubygem(highline)
BuildRequires: rubygems
# There is echoe dependency in Rakefile, but it's used just for build
# I bypassed that using 'spec' command which will do same job in check
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(highline)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
The complete solution for Ruby command-line executable

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

%check
pushd %{buildroot}/%{geminstdir}
%_bindir/spec spec/runner_spec.rb
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{_bindir}/commander
%dir %{geminstdir}
%{geminstdir}/bin
%{geminstdir}/lib
%doc %{geminstdir}/README.rdoc
%doc %{geminstdir}/History.rdoc
%doc %{geminstdir}/Manifest
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%{geminstdir}/tasks
%{geminstdir}/spec
%{geminstdir}/Rakefile
%{geminstdir}/%{gemname}.gemspec
%{gemdir}/doc/%{gemname}-%{version}


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 21 2010 Michal Fojtik <mfojtik@redhat.com> - 4.0.3-3
- Fixed version dependencies

* Wed Oct 13 2010 Michal Fojtik <mfojtik@redhat.com> - 4.0.3-2
- Fixed highline build dependency

* Wed Oct 13 2010 Michal Fojtik <mfojtik@redhat.com> - 4.0.3-1
- Initial package
